%define anolis_release 1

# Perform optional tests
%bcond_without perl_IO_Compress_Lzma_enables_optional_test

Name:		perl-IO-Compress-Lzma
Version:	2.103
Release:	%{anolis_release}%{?dist}
Summary:	Read and write lzma compressed data
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/IO-Compress-Lzma
Source0:	https://cpan.metacpan.org/modules/by-module/IO/IO-Compress-Lzma-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 5.16
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
# Module Runtime
BuildRequires:	perl(bytes)
BuildRequires:	perl(Compress::Raw::Lzma) >= %{version}
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(IO::Compress::Base) >= %{version}
BuildRequires:	perl(IO::Compress::Base::Common) >= %{version}
BuildRequires:	perl(IO::Uncompress::Base) >= %{version}
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Carp)
BuildRequires:	perl(Compress::Raw::Zlib) >= 2
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::Compress::Zip)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IO::Uncompress::AnyUncompress)
BuildRequires:	perl(IO::Uncompress::Unzip)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Test::More)
BuildRequires:	xz, xz-lzma-compat
%if %{with perl_IO_Compress_Lzma_enables_optional_test}
# Optional Tests
BuildRequires:	lzip
BuildRequires:	perl(Encode)
BuildRequires:	perl(IO::String)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::CPAN::Meta::JSON)
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	/usr/bin/7z
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the lzma library.

%prep
%setup -q -n IO-Compress-Lzma-%{version}

# Remove bundled test modules
rm -rv t/Test/
perl -i -ne 'print $_ unless m{^t/Test/}' MANIFEST

# Remove spurious exec permissions
chmod -c -x examples/*

# Fix shellbangs in examples
perl -pi -e 's|^#!/usr/local/bin/perl\b|#!/usr/bin/perl|' \
	examples/lzcat examples/lzstream examples/xzcat examples/xzstream

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test COMPRESS_ZLIB_RUN_MOST=1

%files
%doc Changes README examples/*
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Compress::Lzip.3*
%{_mandir}/man3/IO::Compress::Lzma.3*
%{_mandir}/man3/IO::Compress::Xz.3*
%{_mandir}/man3/IO::Uncompress::UnLzip.3*
%{_mandir}/man3/IO::Uncompress::UnLzma.3*
%{_mandir}/man3/IO::Uncompress::UnXz.3*

%changelog
* Thu Apr 21 2022 zhang xianting <zhangxianting@uniontech.com> - 2.103-1
- Initial build for Anolis V23
